# ReplyKeyboardMarkup - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.buttons / ReplyKeyboardMarkup

# ReplyKeyboardMarkup

(common) `data class ReplyKeyboardMarkup : KeyboardMarkup` (source)

### Constructors

(common)

#### <init>

`ReplyKeyboardMarkup(keyboard: Matrix<KeyboardButton>, resizeKeyboard: Boolean? = null, oneTimeKeyboard: Boolean? = null, selective: Boolean? = null)`

### Properties

(common)

#### keyboard

`val keyboard: Matrix<KeyboardButton>`

(common)

#### oneTimeKeyboard

`val oneTimeKeyboard: Boolean?`

(common)

#### resizeKeyboard

`val resizeKeyboard: Boolean?`

(common)

#### selective

`val selective: Boolean?`